My Project: dgPolygonMeshDesc Class Reference

My Project

Classes | Public Member Functions | Public Attributes | List of all members
dgPolygonMeshDesc Class Reference

`#include <dgCollisionMesh.h>`

Inheritance diagram for dgPolygonMeshDesc:

## Classes

class | dgMesh

## Public Member Functions

DG_INLINE | dgPolygonMeshDesc ()
| dgPolygonMeshDesc (dgCollisionParamProxy &proxy, void *const userData)
DG_INLINE void | SetDistanceTravel (const dgVector &distanceInGlobalSpace)
DG_INLINE dgInt32 | GetFaceIndexCount (dgInt32 indexCount) const
DG_INLINE const dgInt32 * | GetAdjacentFaceEdgeNormalArray (const dgInt32 *const faceIndexArray, dgInt32 indexCount) const
DG_INLINE dgInt32 | GetNormalIndex (const dgInt32 *const faceIndexArray, dgInt32 indexCount) const
DG_INLINE dgInt32 | GetFaceId (const dgInt32 *const faceIndexArray, dgInt32 indexCount) const
DG_INLINE dgFloat32 | GetFaceSize (const dgInt32 *const faceIndexArray, dgInt32 indexCount) const
void | SortFaceArray ()
Public Member Functions inherited from dgFastAABBInfo
DG_INLINE | dgFastAABBInfo ()
DG_INLINE | dgFastAABBInfo (const dgMatrix &matrix, const dgVector &size)
DG_INLINE | dgFastAABBInfo (const dgVector &p0, const dgVector &p1)
DG_INLINE void | SetTransposeAbsMatrix (const dgMatrix &matrix)
DG_INLINE dgFloat32 | PolygonBoxRayDistance (const dgVector &faceNormal, dgInt32 indexCount, const dgInt32 *const indexArray, dgInt32 stride, const dgFloat32 *const vertexArray, const dgFastRayTest &ray) const
DG_INLINE dgFloat32 | PolygonBoxDistance (const dgVector &faceNormal, dgInt32 indexCount, const dgInt32 *const indexArray, dgInt32 stride, const dgFloat32 *const vertexArray) const
Public Member Functions inherited from dgObb
DG_INLINE | dgObb ()
| dgObb (const dgQuaternion &quat, const dgVector &position, const dgVector &dim=dgVector(0, 0, 0, 0))
| dgObb (const dgMatrix &matrix, const dgVector &dim=dgVector(0, 0, 0, 0))
dgObb & | operator= (const dgMatrix &arg)
void | Scale (dgFloat32 Ws, dgFloat32 Hs, dgFloat32 Bs)
void | SetDimensions (dgFloat32 W, dgFloat32 H, dgFloat32 B)
void | SetDimensions (const dgFloat32 vertex[], dgInt32 strideInBytes, dgInt32 vertexCount, const dgMatrix *basis=NULL)
void | SetDimensions (const dgFloat32 vertex[], dgInt32 strideInBytes, const dgInt32 triangles[], dgInt32 indexCount, const dgMatrix *basis)
Public Member Functions inherited from dgMatrix
| dgMatrix ()
| dgMatrix (const dgFloat32 *const array)
| dgMatrix (const dgVector &front, const dgVector &up, const dgVector &right, const dgVector &posit)
| dgMatrix (const dgQuaternion &rotation, const dgVector &position)
| dgMatrix (const dgVector &front)
| dgMatrix (const dgVector &p, const dgVector &q)
dgVector & | operator[] (dgInt32 i)
const dgVector & | operator[] (dgInt32 i) const
dgMatrix | Inverse () const
dgMatrix | Inverse4x4 () const
dgMatrix | Transpose () const
dgMatrix | Transpose4X4 () const
dgMatrix | Symetric3by3Inverse () const
dgVector | RotateVector (const dgVector &v) const
dgVector | UnrotateVector (const dgVector &v) const
dgVector | TransformVector (const dgVector &v) const
dgVector | UntransformVector (const dgVector &v) const
dgPlane | TransformPlane (const dgPlane &localPlane) const
dgPlane | UntransformPlane (const dgPlane &globalPlane) const
void | TransformBBox (const dgVector &p0local, const dgVector &p1local, dgVector &p0, dgVector &p1) const
void | CalcPitchYawRoll (dgVector &euler0, dgVector &euler1) const
void | TransformTriplex (dgFloat32 *const dst, dgInt32 dstStrideInBytes, const dgFloat32 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
void | TransformTriplex (dgFloat64 *const dst, dgInt32 dstStrideInBytes, const dgFloat64 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
void | TransformTriplex (dgFloat64 *const dst, dgInt32 dstStrideInBytes, const dgFloat32 *const src, dgInt32 srcStrideInBytes, dgInt32 count) const
bool | TestOrthogonal () const
bool | TestSymetric3x3 () const
dgMatrix | operator* (const dgMatrix &B) const
void | EigenVectors (dgVector &eigenValues, const dgMatrix &initialGuess=dgGetIdentityMatrix())
void | EigenVectors (const dgMatrix &initialGuess=dgGetIdentityMatrix())
void | PolarDecomposition (dgMatrix &transformMatrix, dgVector &scale, dgMatrix &stretchAxis, const dgMatrix &initialStretchAxis=dgGetIdentityMatrix()) const
| dgMatrix (const dgMatrix &transformMatrix, const dgVector &scale, const dgMatrix &stretchAxis)

## Public Attributes

dgVector | m_boxDistanceTravelInMeshSpace
dgInt32 | m_threadNumber
dgInt32 | m_faceCount
dgInt32 | m_vertexStrideInBytes
dgFloat32 | m_skinThickness
void * | m_userData
dgBody * | m_objBody
dgBody * | m_polySoupBody
dgCollisionInstance * | m_objCollision
dgCollisionInstance * | m_polySoupCollision
dgFloat32 * | m_vertex
dgInt32 * | m_faceIndexCount
dgInt32 * | m_faceVertexIndex
dgInt32 * | m_faceIndexStart
dgFloat32 * | m_hitDistance
const dgCollisionMesh * | m_me
dgInt32 | m_globalIndexCount
dgFloat32 | m_maxT
bool | m_doContinuesCollisionTest
dgInt32 | m_globalFaceVertexIndex [DG_MAX_COLLIDING_INDICES]
dgMesh | m_meshData
Public Attributes inherited from dgObb
dgVector | m_size
Public Attributes inherited from dgMatrix
dgVector | m_front
dgVector | m_up
dgVector | m_right
dgVector | m_posit

## Additional Inherited Members

Static Public Attributes inherited from dgMatrix
static dgMatrix | m_zeroMatrix
static dgMatrix | m_identityMatrix
Protected Attributes inherited from dgFastAABBInfo
dgMatrix | m_absDir
dgVector | m_p0
dgVector | m_p1

## Constructor & Destructor Documentation

## § dgPolygonMeshDesc() [1/2]

DG_INLINE dgPolygonMeshDesc::dgPolygonMeshDesc | ( |  | ) |

inline

## § dgPolygonMeshDesc() [2/2]

dgPolygonMeshDesc::dgPolygonMeshDesc | ( | dgCollisionParamProxy & | proxy,
|  | void *const | userData
| ) |  |

## Member Function Documentation

## § GetAdjacentFaceEdgeNormalArray()

DG_INLINE const dgInt32* dgPolygonMeshDesc::GetAdjacentFaceEdgeNormalArray | ( | const dgInt32 *const | faceIndexArray,
|  | dgInt32 | indexCount
| ) |  | const

inline

## § GetFaceId()

DG_INLINE dgInt32 dgPolygonMeshDesc::GetFaceId | ( | const dgInt32 *const | faceIndexArray,
|  | dgInt32 | indexCount
| ) |  | const

inline

## § GetFaceIndexCount()

DG_INLINE dgInt32 dgPolygonMeshDesc::GetFaceIndexCount | ( | dgInt32 | indexCount | ) | const

inline

## § GetFaceSize()

DG_INLINE dgFloat32 dgPolygonMeshDesc::GetFaceSize | ( | const dgInt32 *const | faceIndexArray,
|  | dgInt32 | indexCount
| ) |  | const

inline

## § GetNormalIndex()

DG_INLINE dgInt32 dgPolygonMeshDesc::GetNormalIndex | ( | const dgInt32 *const | faceIndexArray,
|  | dgInt32 | indexCount
| ) |  | const

inline

## § SetDistanceTravel()

DG_INLINE void dgPolygonMeshDesc::SetDistanceTravel | ( | const dgVector & | distanceInGlobalSpace | ) |

inline

## § SortFaceArray()

void dgPolygonMeshDesc::SortFaceArray | ( |  | ) |

## Member Data Documentation

## § m_boxDistanceTravelInMeshSpace

dgVector dgPolygonMeshDesc::m_boxDistanceTravelInMeshSpace

## § m_doContinuesCollisionTest

bool dgPolygonMeshDesc::m_doContinuesCollisionTest

## § m_faceCount

dgInt32 dgPolygonMeshDesc::m_faceCount

## § m_faceIndexCount

dgInt32* dgPolygonMeshDesc::m_faceIndexCount

## § m_faceIndexStart

dgInt32* dgPolygonMeshDesc::m_faceIndexStart

## § m_faceVertexIndex

dgInt32* dgPolygonMeshDesc::m_faceVertexIndex

## § m_globalFaceVertexIndex

dgInt32 dgPolygonMeshDesc::m_globalFaceVertexIndex[DG_MAX_COLLIDING_INDICES]

## § m_globalIndexCount

dgInt32 dgPolygonMeshDesc::m_globalIndexCount

## § m_hitDistance

dgFloat32* dgPolygonMeshDesc::m_hitDistance

## § m_maxT

dgFloat32 dgPolygonMeshDesc::m_maxT

## § m_me

const dgCollisionMesh* dgPolygonMeshDesc::m_me

## § m_meshData

dgMesh dgPolygonMeshDesc::m_meshData

## § m_objBody

dgBody* dgPolygonMeshDesc::m_objBody

## § m_objCollision

dgCollisionInstance* dgPolygonMeshDesc::m_objCollision

## § m_polySoupBody

dgBody* dgPolygonMeshDesc::m_polySoupBody

## § m_polySoupCollision

dgCollisionInstance* dgPolygonMeshDesc::m_polySoupCollision

## § m_skinThickness

dgFloat32 dgPolygonMeshDesc::m_skinThickness

## § m_threadNumber

dgInt32 dgPolygonMeshDesc::m_threadNumber

## § m_userData

void* dgPolygonMeshDesc::m_userData

## § m_vertex

dgFloat32* dgPolygonMeshDesc::m_vertex

## § m_vertexStrideInBytes

dgInt32 dgPolygonMeshDesc::m_vertexStrideInBytes

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgCollisionMesh.h
- dynamics.mod/NewtonDynamics/source/physics/dgCollisionMesh.cpp